BLK_END_BIDI_REQUEST(9)

NAME
blk_end_bidi_request - Complete a bidi request

SYNOPSIS

bool blk_end_bidi_request(struct request * rq, int error, unsigned int nr_bytes, unsigned int bidi_bytes);

ARGUMENTS

rq
    the request to complete

error
    0 for success, < 0 for error

nr_bytes
    number of bytes to complete rq

bidi_bytes
    number of bytes to complete rq->next_rq

DESCRIPTION

Ends I/O on a number of bytes attached to rq and rq->next_rq. Drivers that supports bidi can safely call this member for any type of request, bidi or uni. In the later case bidi_bytes is just ignored.

RETURN

false - we are done with this request true - still buffers pending for this request

COPYRIGHT